# Handler class abstract

A Handler is responsible for matching any kind of toplevel item in the XML stream (stanzas and Nonzas). For that, its matches method is called. What happens next depends on the subclass.

Implementers
  - NonzaHandler
  - StanzaHandler

## Constructors

Handler ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

matches (XMLNode node) → bool
  Returns true if the node matches the description provided by this Handler.
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited